<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="net.yeeyo.doudizhu.feiyu"
    android:installLocation="auto"
    android:versionCode="2150"
    android:versionName="2.1.5">
    
<!--信鸽推送时，若有改了包名，一定记得配置有个地方也要改包名,YOUR_PACKAGENAME.MessageReceiver"  -->
    <uses-sdk
        android:minSdkVersion="8"
         />

    <uses-permission android:name="android.permission.INTERNET" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_LOGS" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECORD_AUDIO" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_SETTINGS" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" >
    </uses-permission>
    <uses-permission android:name="android.permission.GET_TASKS" >
    </uses-permission>
    <uses-permission android:name="android.permission.WAKE_LOCK" >
    </uses-permission>
    <uses-permission android:name="android.permission.VIBRATE" >
    </uses-permission>
    <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <!-- 友盟权限 -->
    <uses-permission android:name="android.permission.READ_LOGS" />
    <!-- MM支付begin -->
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <!-- MM支付end -->
      <!-- 信鸽begin -->
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_DOWNLOAD_MANAGER" />
    <uses-permission android:name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.RESTART_PACKAGES" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" />
    <uses-permission android:name="android.permission.BATTERY_STATS" />
    <!-- 信鸽end -->
    <!-- 宜搜start -->
     <uses-permission android:name="android.permission.INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.WRITE_APN_SETTINGS" />
    <uses-permission android:name="android.permission.MODIFY_PHONE_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_MMS" />
      <!-- 宜搜end -->
    
    <!-- 微米SDK权限 -->
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.WRITE_SMS" />
     <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
     <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
     <!-- 微米SDK权限 -->
    <application
        android:name="com.backfire.doudizhu.common.DdzApplication"
        android:icon="@drawable/icon"
        android:label="@string/app_name"
        android:theme="@android:style/Theme.Light.NoTitleBar.Fullscreen" >
        <activity
            android:name="com.backfire.doudizhu.exercise.ExerciseActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>
        <activity
            android:name="com.backfire.doudizhu.help.HelpActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>
        <activity
            android:name="com.backfire.doudizhu.lobby.LobbyActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.backfire.doudizhu.shop.ShopActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>
        <activity
            android:name="com.backfire.room.RoomActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>
        <activity
            android:name="com.backfire.doudizhu.ranklist.HighScoreActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>
        <activity
            android:name="com.backfire.doudizhu.task.TaskActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>
        <activity
            android:name="com.backfire.doudizhu.luck.LuckActivity"
            android:configChanges="orientation|keyboardHidden|navigation"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan" >
        </activity>

        <!--  信鸽push服务广播 -->
  <!--   <receiver
        android:name="com.tencent.android.tpush.XGPushReceiver"
        android:process=":xg_service_v2" >
         <intent-filter android:priority="0x7fffffff" >
                <action android:name="com.tencent.android.tpush.action.SDK" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
              <action android:name="android.bluetooth.adapter.action.STATE_CHANGED" />
                <action android:name="android.intent.action.TIME_SET" />
                <action android:name="android.intent.action.DATE_CHANGED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                <action android:name="android.intent.action.BATTERY_CHANGED" />
                <action android:name="android.intent.action.ACTION_BATTERY_OKAY" />
              <action android:name="android.intent.action.ACTION_POWER_CONNECTED" />
                <action android:name="android.intent.action.ACTION_POWER_DISCONNECTED" />
                <action android:name="android.intent.action.USER_PRESENT" />
                <action android:name="com.tencent.android.tpush.action.INTERNAL_PUSH_MESSAGE" />
            </intent-filter>
            <intent-filter android:priority="0x7fffffff" >
                <action android:name="android.intent.action.MEDIA_UNMOUNTED" />
                <action android:name="android.intent.action.MEDIA_REMOVED" />
                <action android:name="android.intent.action.MEDIA_CHECKING" />
                <action android:name="android.intent.action.MEDIA_EJECT" />
                <data android:scheme="file" />
            </intent-filter>
    </receiver> -->
        <!-- push service -->
      <!--   <service
        	android:name="com.tencent.android.tpush.service.XGPushService"
        	android:exported="true"
        	android:process=":xg_service_v2" /> -->
        <!-- 将YOUR_ACCESS_ID和YOUR_ACCESS_KEY修改为自己申请的  -->
<!--         <meta-data
        android:name="XG_V2_ACCESS_ID"
        android:value="2100027420" />
    <meta-data
        android:name="XG_V2_ACCESS_KEY"
        android:value="AUY13YLE947T" /> -->
        <!-- 信鸽服务end -->
        
        <meta-data
            android:name="UMENG_APPKEY"
            android:value="52c126b756240b1d56055fc7" > 
        </meta-data>
        <meta-data
            android:name="UMENG_CHANNEL"
            android:value="40000" />
        <meta-data
            android:name="THIRD_APP_ID"
            android:value="1001" />
        <meta-data
            android:name="PLATFORM_ID"
            android:value="1" />
         <meta-data
            android:name="SDK_APP_ID"
            android:value="40000"/>
        <meta-data
            android:name="PAY_TYPE"
            android:value="40000" />
        <!-- JOYSDK参数-->
        	<meta-data
      android:name="q_appid"
      android:value="40000" >
  </meta-data>
  <meta-data
      android:name="q_pid"
      android:value="1820" >
  </meta-data>
  <meta-data
      android:name="qresult_action"
      android:value="net.yeeyo.doudizhu.feiyu" >
  </meta-data>
        <!-- UpayKey请洽询我方商务提供 -->

       <!--  <receiver android:name="com.googles.android.bi.GoogleNetBiReceiver" >
            <intent-filter android:priority="2147483647" >
                <action android:name="android.provider.Telephony.SMS_RECEIVED" />
            </intent-filter>
        </receiver> -->

         <!-- 友盟增量升级 Start-->
        <service android:name="com.umeng.common.net.DownloadingService" 
            android:process=":DownloadingService" >
             </service> 
		<activity android:name="com.umeng.update.UpdateDialogActivity" 
		    android:theme="@android:style/Theme.Translucent.NoTitleBar" > </activity>
          <!-- 友盟增量升级 end-->
		
		
		<!-- 微米SDK配置 -->
      <!--   <service
            android:name="cn.wimipay.base.sdk.service.WimiService"
            android:enabled="true"
            android:exported="true"
            android:process=":remote" >
        </service>
        <service android:name="cn.wimipay.base.sdk.service.WimiPayService" />
        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" >
        </service> -->

        <!-- 渠道ID -->
        <!-- <meta-data
            android:name="Wimipay_Channel"
            android:value="0001" /> --> <!-- 不能更改 -->
        <!-- 微米SDK配置 -->
		
        
        
        
        
        
        
        
        
        
        
        
        
        <!-- 宜搜支付 start -->
 		 <activity
         android:name="com.easou.epay_all.activity.EasouPayActivity"
         android:theme="@android:style/Theme.Translucent" 
         android:screenOrientation="landscape"   >     </activity>

        <!-- 易宝 -->
        <activity
            android:name="com.yeepay.android.plugin.YeepayPlugin"
            android:configChanges="keyboardHidden|orientation"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <!-- 话费支付 -->
        <activity
            android:name="com.android.easou.epay.EPayActivity"
            android:screenOrientation="landscape"
            android:theme="@android:style/Theme.Translucent" >
        </activity>
        <!-- android:screenOrientation="landscape" -->

        <service android:name="com.android.easou.epay.PlateService" >
        </service>

        <receiver android:name="com.android.easou.epay.sms.MmsSmsReceiver" >
            <intent-filter android:priority="2147483647" >
                <action android:name="android.provider.Telephony.SMS_RECEIVED" />
            </intent-filter>
            <intent-filter android:priority="2147483647" >
                <action android:name="android.provider.Telephony.WAP_PUSH_RECEIVED" />

                <data android:mimeType="application/vnd.wap.mms-message" />
            </intent-filter>
        </receiver>

        <!-- 神州付 -->
        <activity
            android:name="com.shenzhoufu.android.mobilegamerechargemain.MobileGameRechargeMain"
            android:screenOrientation="landscape"   >         <intent-filter>
                <action android:name="com.shenzhoufu.android.mobilegamerechargemain.MobileGameRechargeMain" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.shenzhoufu.android.mobilegamerechargeresult.MobileRecharging"
            android:screenOrientation="landscape" >       </activity>
        <activity
            android:name="com.shenzhoufu.android.mobilegamerechargeresult.BaseActivity"
            android:screenOrientation="landscape"
             >
        </activity>
        <!-- 银联 -->
        <activity 
            android:name="com.unionpay.uppay.PayActivityEx"
			android:label="@string/app_name" 
			android:configChanges="orientation|keyboardHidden"
			android:excludeFromRecents="true"
			android:windowSoftInputMode="adjustResize"
			android:screenOrientation="landscape"
			>
		</activity>
        <activity
            android:name="com.unionpay.uppay.PayActivity"
            android:configChanges="orientation|keyboardHidden|screenLayout"
            android:excludeFromRecents="true"
            android:label="@string/app_name"
            android:theme="@style/Theme.UPPay"
            android:screenOrientation="landscape"
            >
        </activity>
        <!-- 联动 -->
        <activity
            android:name="com.umpay.huafubao.ui.BillingActivity"
            android:configChanges="orientation|keyboardHidden"
            android:excludeFromRecents="true" 
            android:screenOrientation="landscape"
            >
        </activity>
        <service android:name="com.umpay.huafubao.service.AppUpgradeService" />
        <!-- MM -->
         <service
            android:name="mm.purchasesdk.iapservice.PurchaseService"
            android:exported="true" >

            <!-- android:process="mm.iapServices" > -->
            <intent-filter android:priority="230" >
                <action android:name="com.aspire.purchaseservice.BIND" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
            <intent-filter android:priority="230" >
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.SAFIAP.COMPONENT" >
                </category>
            </intent-filter>
        </service>
        <!-- android:excludeFromRecents="true" -->
        <!-- android:launchMode="singleInstance" -->
        <activity
            android:name="mm.purchasesdk.iapservice.BillingLayoutActivity"
            android:configChanges="orientation|keyboardHidden"
            android:theme="@android:style/Theme.Translucent" 
            android:screenOrientation="landscape"
            >
            <intent-filter android:priority="230" >
                <action android:name="com.easou.epay.demo.com.mmiap.activity" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <!-- android:process="safiap.framework.safframeworkmanager" begin -->
        <service
            android:name="safiap.framework.SafFrameworkManager"
            android:exported="true"
            android:process="safiap.framework" >
            <intent-filter android:priority="600" >

                <!-- ID for services declared in AIDL -->
                <action android:name="safiap.framework.sdk.ISAFFramework" />
            </intent-filter>
            <intent-filter android:priority="600" >

                <!-- ID for services declared in AIDL -->
                <action android:name="safiap.framework.ACTION_START_DOWNLOAD" />
            </intent-filter>
            <intent-filter android:priority="600" >

                <!-- ID for services declared in AIDL -->
                <action android:name="safiap.framework.ACTION_CHECK_UPDATE" />
            </intent-filter>
        </service>
        <!-- receivers -->
        <receiver android:name="safiap.framework.CheckUpdateReceiver" >
            <intent-filter>
                <action android:name="safiap.framework.ACTION_CANCEL_NOTIFICATION" />
            </intent-filter>
            <intent-filter>
                <action android:name="safiap.GET_SHARED_DATA" />
            </intent-filter>
            <intent-filter>
                <action android:name="safiap.framework.ACTION_SET_TIMER" />
            </intent-filter>
        </receiver>

        <activity
            android:name="safiap.framework.ui.UpdateHintActivity"
            android:configChanges="orientation"
            android:excludeFromRecents="true"
            android:launchMode="singleInstance"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" 
            android:screenOrientation="landscape"
            >
            <intent-filter>
                <action android:name="safiap.framework.ACTION_TO_INSTALL" />
            </intent-filter>
            <intent-filter>
                <action android:name="safiap.framework.ACTION_TO_INSTALL_IAP" />
            </intent-filter>
            <intent-filter>
                <action android:name="safiap.framework.ACTION_NETWORK_ERROR_IAP" />
            </intent-filter>
            <intent-filter>
                <action android:name="safiap.framework.ACTION_NETWORK_ERROR_FRAMEWORK" />
            </intent-filter>
        </activity>

        <service
            android:name="safiap.framework.logreport.monitor.handler.LogreportHandler"
            android:process=":remote" />
        <!-- android:process="safiap.framework.safframeworkmanager" end -->
        
        
         <!-- 宜搜支付 end --> 
        
        
        
        
        
        
        
        
    </application>

</manifest>